<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="theme-color" content="#ffb5a7" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"
    />
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Gaegu&display=swap"
      rel="stylesheet"
    />
    <link
      href="https://fonts.googleapis.com/css2?family=Fredoka:wght@300..700&family=Gaegu&display=swap"
      rel="stylesheet"
    />

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="script.js" defer></script>
    <link rel="stylesheet" href="styles.css" />
    <link rel="manifest" href="/manifest.json" />

    <title>PVI lab2</title>
  </head>
  <body>
    <header class="header">
      <h1 class="header__title">slay CMS</h1>
      <span class="header-left">
        <button class="notification">
          <div class="bell-icon">
            <div class="new"></div>
            <img
              class="fa fa-bell-o bell"
              src="https://www.digitalscrapbook.com/sites/default/files/styles/456_scale/public/s3fs-user-content/graphic-image/user-2/node-158343/valentine-s-clip-art-envelope-graphic-element-heart-pink-light-hot.png"
              alt="mail"
              width="30rem"
            />
          </div>
          <div class="notification-panel">
            <ul>
              <li>Povtorka payment was unsucessful</li>
              <li>New message from Evgenia Levus</li>
            </ul>
          </div>
        </button>
        <div class="user-container">
          <div class="user">
            <img
              class="user__img"
              src="https://images.vexels.com/media/users/3/235021/isolated/preview/609cde0fcf55cc63cdf8f34cee53f03e-goat-head-cute.png"
              alt="Avatar"
            />
            <p class="user__name">Rick Astley</p>
          </div>
          <div class="user-panel">
            <ul>
              <li>
                <button>Profile</button>
              </li>
              <li>
                <button>Sign out</button>
              </li>
            </ul>
          </div>
        </div>
      </span>
    </header>
    <div class="main">
      <nav class="nav">
        <ul>
          <li><a href="#">Dashboard</a></li>
          <li><p>Students</p></li>
          <li><a href="#">Tasks</a></li>
        </ul>
      </nav>
      <section class="students">
        <div class="students__list">
          <h2>Students</h2>
          <table class="students__table" id="students-table">
            <thead>
              <tr>
                <th></th>
                <th>Group</th>
                <th>Name</th>
                <th>Gender</th>
                <th>Birthday</th>
                <th>Status</th>
                <th>Options</th>
              </tr>
            </thead>
            <tbody></tbody>
          </table>
        </div>
        <button id="add-student-btn">Add student</button>
      </section>
    </div>

    <!-- modal CONFIRM window -->
    <div class="modal-wrapper hidden" id="confirm-deletion">
      <div class="modal confirm">
        <h3 id="confirm-question">Are you sure you want to delete?</h3>
        <div class="confirm-buttons">
          <button id="confirm-deletion-btn" class="confirm-btn">Yes</button>
          <button id="cancel-deletion-btn" class="confirm-btn cancel">
            No
          </button>
        </div>
      </div>
    </div>

    <!-- modal ADD window -->
    <div class="modal-wrapper hidden" id="add-student">
      <div class="modal">
        <h2 id="modal-title">Add student</h2>
        <form class="add-student__form" id="add-student-form">
          <input type="hidden" id="id" name="id" />
          <div class="form-line">
            <label for="group">Group</label>
            <select name="group" id="group">
              <option value="" disabled hidden selected>
                - Select group -
              </option>
              <option value="PZ-22">PZ-22</option>
              <option value="PZ-23">PZ-23</option>
              <option value="PZ-24">PZ-24</option>
            </select>
          </div>
          <div class="form-line">
            <label for="name">First Name</label>
            <input type="text" name="name" id="name" />
          </div>
          <div class="form-line">
            <label for="surname">Last Name</label>
            <input type="text" name="surname" id="surname" />
          </div>
          <div class="form-line">
            <label for="gender">Gender</label>
            <select name="gender" id="gender">
              <option value="M">Male</option>
              <option value="F">Female</option>
            </select>
          </div>
          <div class="form-line">
            <label for="birthday">Birthday</label>
            <input type="date" name="birthday" id="birthday" />
          </div>
          <button type="submit">OK</button>
          <button class="btn-close" id="close-modal-btn">Close</button>
        </form>
      </div>
    </div>
  </body>
</html>

<script>
  if ("serviceWorker" in navigator) {
    window.addEventListener("load", () => {
      navigator.serviceWorker
        .register("/service-worker.js")
        .then((registration) => console.log("Service Worker registered"))
        .catch((error) =>
          console.error("Service Worker registration failed:", error)
        );
    });
  }
</script>
